MITK has migrated from Bugzilla to Phabricator. Please head to our new bug tracking system.
Bug 16897 - Update VTK Version to VTK 6.1
Update VTK Version to VTK 6.1
Status: RESOLVED FIXED
Product: MITK
Classification: Unclassified
Component: Build system
2013-09
All All
: low feature request
: Unspecified
Assigned To: Christoph Kolb
:
Depends on: 16900
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-24 11:57 CET by Christoph Kolb
Modified: 2014-04-02 19:09 CEST (History)
4 users (show)

CAPA Problembeschreibung:
CAPA Bewertung:
CAPA Ursachenanalyse:
CAPA Lösungsansatz:
CAPA Ergebnis Problembehebung:
CAPA Prüfung:
Story:
Feature-/Umsetzungstickets:
Likelihood: ---
sascha.zelzer: Needs_Core_Modification+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Kolb 2014-01-24 11:57:42 CET
VTK6.1 has been released. Migration should be real quick.
Comment 1 Christoph Kolb 2014-01-24 14:47:56 CET
This was a premature and very wrong assessment... XML Shaders have been removed in VTK6.1 and we have to switch to vtkShader2

http://vtk.1045678.n5.nabble.com/Proposal-deprecating-Cg-GLSL-XML-shader-framework-td5593259.html
Comment 2 Git Admin 2014-03-10 15:15:06 CET
User zelzer has pushed new remote branch: 
    bug-16897-vtk61-update
Comment 3 Christoph Kolb 2014-03-10 21:11:49 CET
[cffdce]: Merge branch 'bug-16897-vtk61-update'
Merged commits:
------------------------------------------------------------------
2014-03-10 21:08:44 Christoph Kolb [934a13]
"repair" surfaceMaterialEditorView

------------------------------------------------------------------
2014-03-10 21:08:25 Christoph Kolb [602ab0]
check if default attribute is set

------------------------------------------------------------------
2014-03-10 21:08:08 Christoph Kolb [17f4c4]
migrate FiberBundleMapper to new shaders

------------------------------------------------------------------
2014-03-10 20:48:46 Sascha Zelzer [d4c0af]
Use updated ACVD for VTK 6.1 support.

------------------------------------------------------------------
2014-03-10 18:31:48 Sascha Zelzer [fef335]
Enable warnings as error for VtkShaders. Added missing int uniforms.

------------------------------------------------------------------
2014-03-10 18:30:49 Sascha Zelzer [37d8de]
Move GetUniforms() implementation to cpp file.

------------------------------------------------------------------
2014-03-10 15:13:27 Sascha Zelzer [ece381]
Use the VTK_RUNTIME_LIBRARY_DIRS variable when calculating the search path.

------------------------------------------------------------------
2014-03-10 15:12:56 Sascha Zelzer [352d0e]
Check for a non-NULL shader program before activating it.

------------------------------------------------------------------
2014-03-10 15:12:33 Sascha Zelzer [8133b1]
Merge remote-tracking branch 'origin/bug-16900-CreateNewShaderModule' into bug-16897-vtk61-update

Conflicts:
	Core/Code/Controllers/mitkCoreActivator.cpp
	Modules/CMakeLists.txt

------------------------------------------------------------------
2014-03-10 04:46:13 Sascha Zelzer [b68213]
Treat Uniform as alias for ApplicationUniform and read default values.

------------------------------------------------------------------
2014-03-10 04:45:10 Sascha Zelzer [94f4eb]
Fix memory corruption by using a smartpointer vor vtkShaderProgram2.

------------------------------------------------------------------
2014-03-10 04:44:24 Sascha Zelzer [703141]
Add default shader properties and apply their current values.

------------------------------------------------------------------
2014-03-10 04:39:03 Sascha Zelzer [a29e33]
Provide the IShaderRepository as an optional core service.

------------------------------------------------------------------
2014-03-10 04:32:44 Sascha Zelzer [f0ee26]
Use LightObject as the base class for IShaderRepository::Shader.

------------------------------------------------------------------
2014-03-10 00:58:04 Sascha Zelzer [358851]
Initialize shader program member to with NULL.

------------------------------------------------------------------
2014-03-10 00:57:40 Sascha Zelzer [a72277]
Changed code-style for better readability.

------------------------------------------------------------------
2014-03-10 00:57:16 Sascha Zelzer [fa1fbf]
Remove deprecated error reporting macro.

------------------------------------------------------------------
2014-03-10 00:56:34 Sascha Zelzer [6afa6b]
VtkShaders module should not export symbols. Auto-loaded with Mitk.

Renamed to conform to MITK source file endings and added the MITK
copyright at the top of the original VTK files.

------------------------------------------------------------------
2014-03-10 00:45:10 Sascha Zelzer [56d807]
Track IShaderRepository services and manager shader resources.

------------------------------------------------------------------
2014-03-10 00:43:37 Sascha Zelzer [49395c]
Use VTK 6.1 from mitk.org.

------------------------------------------------------------------
2014-03-09 19:42:17 Sascha Zelzer [eca2dd]
Merge remote-tracking branch 'origin/bug-16767-update-example-plugins' into bug-16900-CreateNewShaderModule

------------------------------------------------------------------
2014-03-08 23:55:33 Christoph Kolb [032db8]
revert adding SurfaceVtkShaderMapper

------------------------------------------------------------------
2014-03-08 23:54:33 Christoph Kolb [4aac87]
Activate shaders in mitkVtkMapper

------------------------------------------------------------------
2014-03-05 14:37:17 Christoph Kolb [3c30ef]
CreateShaderProgram in interface

------------------------------------------------------------------
2014-03-05 14:00:29 Christoph Kolb [acb93c]
change GetShaderProgram To UpdateShaderProgram

------------------------------------------------------------------
2014-02-26 18:33:24 Christoph Kolb [240d84]
add mitkVtkShaderProgram

------------------------------------------------------------------
2014-02-26 15:24:57 Christoph Kolb [a4d0ab]
Rename Shaders module and move shaderProperty to core

------------------------------------------------------------------
2014-02-05 16:49:18 Christoph Kolb [a9e7a9]
Activate shaderRepository service

------------------------------------------------------------------
2014-02-05 15:41:52 Christoph Kolb [28846e]
Move Shader classes to Shaders Module

------------------------------------------------------------------
2014-02-05 13:57:16 Christoph Kolb [b71b35]
Add shader module with legacy vtk 6.0 classes
Comment 4 Christoph Kolb 2014-03-11 15:28:43 CET
[ffcdd0]: Merge branch 'bug-16897-vtk61-update'
Merged commits:
------------------------------------------------------------------
2014-03-11 15:27:54 Christoph Kolb [c5982b]
COMP: update reference image for rendering test
Comment 5 Christoph Kolb 2014-03-11 16:13:37 CET
[e425a9]: Merge branch 'bug-16897-vtk61-update'
Merged commits:
------------------------------------------------------------------
2014-03-11 16:12:19 Christoph Kolb [9e55fa]
COMP: remove BaseRenderer from ShaderProgram